import { request } from '@utils/http'
export default {
  adminformationlist: params => { // 资讯列表接口
    return request('/api/information/list', params)
  },
  adminformationdetail: params => { // 资讯详情接口
    return request('/api/information/detail', params)
  },
  apiinformationcount: params => { // 资讯分类统计
    return request('/api/information/count', params)
  },
  qalist: params => { // qa 列表
    return request('/api/qa/list', params)
  },
  qadetail: params => { // qa 详情
    return request('/api/qa/detail', params)
  },
  apiquestionlist: params => { // 问答-问题列表
    return request('/api/question/list', params)
  },
  apianswerlist: params => { // 问答-答案列表
    return request('/api/answer/list', params)
  },
  apiquestionadd: params => { // 问答-问题添加
    return request('/api/question/add', params, 'loading')
  },
  apiansweradd: params => { // 问答-答案添加
    return request('/api/answer/add', params, 'loading')
  },
  apianswerzan: params => { // 问答-问答点赞
    return request('/api/answer/zan', params)
  },
  apianswerunzan: params => { // 问答-问答取消点赞
    return request('/api/answer/unzan', params)
  },
  apilandlist: params => { // 土拍-土拍列表
    return request('/api/land/list', params)
  },
  apilanddetail: params => { // 土拍-土拍详情
    return request('/api/land/detail', params)
  },
}
